<? global $start_time; function bs() { global $start_time; $start_time = microtime(true); } function be($label) { global $start_time; echo "'$label' exec time: " . (microtime(true) - $start_time); } ?>

<div id="regions">
<?
	$title = "";

	if ( is_array($this->params['filter']) ) {
		foreach ($this->params['filter'] as $v) {
			if ( array_search('boys', $v) )
				$title = $this->t('boys');
			else if ( array_search('trans', $v) )
				$title = $this->t('trans');
			else if ( array_search('agence', $v) )
				$title = $this->t('agency_girls');
			else if ( array_search('independantes', $v) )
				$title = $this->t('independent_girls');
		}
	}
?>
<h3><?= __('choose_your_city') ?>:</h3>







<? /* START Cities block */ ?>
<?php
	$gender = GENDER_FEMALE;
	$is_agency = null;
	// If there are some filters specified, than statistics will be counted
	// for that criterias, otherwise total counts of escorts will be shown
	if ( is_array($this->params['filter']) ) {
		foreach ($this->params['filter'] as $v) {
			// Get gender
			if ( array_search('boys', $v, true) ) {
				$gender = GENDER_MALE;
			}
			elseif ( array_search('trans', $v, true) ) {
				$gender = GENDER_TRANS;
			}

			// Get dependentness of escort
			if ( array_search('agence', $v, true) ) {
				$is_agency = true;
			}
			elseif ( array_search('independantes', $v, true) ) {
				$is_agency = false;
			}
		}
	}

	// <editor-fold defaultstate="collapsed" desc="Sort Functions">
	$fn_order_title = create_function('$a, $b', '
		if ( is_object($a) && is_object($b) ) {
			return strnatcmp($a->city_title, $b->city_title);
		}
		elseif ( is_array($a) && is_array($b) ) {
			return strnatcmp($a["city_title"], $b["city_title"]);
		}
		else return 0;
	');
	// </editor-fold>

	$this->total_count = Model_Statistics::getTotalCount($gender, $is_agency, null, false);
	
	$all_cities = Model_Statistics::getCities(null, $gender, $is_agency, null, false);
	$cities = array_slice($all_cities, 0, 24);

	foreach ( $cities as $i => $city ) {
		if ( $i > 5 ) break;
		$cities[$i]->is_bold = true;
	}
	usort($cities, $fn_order_title);

	$country_iso = Cubix_Application::getById()->iso;
	$config = Zend_Registry::get('escorts_config');
?>

<? if ( count($cities) > 0 ): ?>
	<? foreach ( $cities as $i => $city ): ?>
	<? if ( 0 == $i % $config['citiesPerRow'] ): ?>
	<?= 0 != $i ? '</ul>' : ''; ?>
	<ul>
	<? endif ?>
	
		<li <?= ( isset($city->is_bold) && $city->is_bold ) ? 'class="bold"' : '' ?>>
			<a href="<?= $this->getLink('escorts', array('city' => $country_iso . '_' . $city->city_slug, 'filter' => null, 'page' => null)) ?>"><?= $city->city_title ?></a>
			<span>(<?= $city->escort_count ?>)</span>
		</li>
	<? endforeach ?>
	</ul>
<? endif ?>
<? /* END Cities block */ ?>





	<div class="clear"></div>
	
<? /* *** START Cities Autocompleter *** */ ?>
<?php


// <editor-fold defaultstate="collapsed" desc="Format cities in format of Autocompleter">
usort($all_cities, $fn_order_title);
foreach ( $all_cities as $k => $city ) {
	$all_cities[$k] = array(
		'type' => 'city',
		'group' => $this->t('cities'),
		'slug' => $city->city_slug,
		'name' => $city->city_title . ' (' . $city->region_title . ') (' . $city->escort_count . ')'
	);
}
// </editor-fold>

// <editor-fold defaultstate="collapsed" desc="Format regions in format of Autocompleter">
$regions = Model_Statistics::getRegions($gender, $is_agency, null, false);
foreach ( $regions as $k => $region ) {
	$regions[$k] = array(
		'type' => 'region',
		'group' => $this->t('regions'),
		'slug' => $region->region_slug,
		'name' => $region->region_title . ' (' . $region->escort_count . ')'
	);
}
// </editor-fold>

// Merge cities and regions, the autocompleter will distinguish them
$data = array_merge($all_cities, $regions);
?>
<? /*
	<!--<script type="text/javascript" src="<?= _st('Autocompleter.js') ?>"></script>-->
	<script type="text/javascript">
		window.addEvent('domready', function () {
			var input = $('txt_city-search');

			new Autocompleter.Local(input, <?= json_encode($data) ?>, {
				'minLength': 1,
				postVar: 'city_search_name',
				indicatorClass: 'autocompleter-loading'
			}).addEvent('onSelection', function (element, selected, value, input) {
				element.getParent().getElement('#s_slug').set('value', selected.inputValue.slug);
				element.getParent().getElement('#s_type').set('value', selected.inputValue.type);
			});
		});

		var doSearch = function (form) {
			var slug = form.getElement('#s_slug').get('value');
			// If no item is selected just do nothing
			if ( ! slug.length ) return false;

			var type = form.getElement('#s_type').get('value');

			var action = '';
			if ( type == 'city' ) {
				action = '<?= $this->getLink('escorts', array('city' => Cubix_Application::getById()->iso . '_', 'filter' => null, 'page' => null)) ?>' + slug;
			}
			else if ( type == 'region' ) {
				action = '<?= $this->getLink('escorts', array('region' => Cubix_Application::getById()->iso . '_', 'filter' => null, 'page' => null)) ?>' + slug;
			}

			form.set('action', action);
			return true;
		};
	</script>

	<div class="search">
		<form action="" method="get" onsubmit="return doSearch($(this))">
			<input type="hidden" id="s_type" value="" />
			<input type="hidden" id="s_slug" value="" />
			<div class="label"><?= __('search_your_city') ?>:</div>
			<input type="text" id="txt_city-search" name="city" value="" />
			<button class="<?= $this->lang() ?>-srch-btn" type="submit"></button>

			<div class="clear"></div>
		</form>
	</div>

*/ ?>



	<?= $this->render('stats-widgets/total-count.phtml') ?>

	<div class="clear"></div>
</div>
